<?php
require_once( 'core.php' ) ;
$t_plugin_path = config_get( 'plugin_path' ); 
require_once( $t_plugin_path . 'Syncuser/Syncuser_api.php' );
auth_ensure_user_authenticated();
access_ensure_project_level( plugin_config_get( 'syncuser_threshold' ) );
html_page_top1() ;
html_page_top2() ;
print_manage_menu( 'sync_user_page.php' );

# get selections
$from_id		= gpc_get_int( 'sync_from' );
$to_id			= gpc_get_int( 'sync_to' );

$f_faq			= gpc_get_bool( 'faq' );
$f_timetrack	= gpc_get_bool( 'timetrack' );
$f_news			= gpc_get_bool( 'news' );

if (!is_numeric($from_id) ||($from_id==0)){
	trigger_error( ERROR_SYNCUSER_FROM_ID, ERROR ); 
}
if (!is_numeric($to_id) ||($to_id==0)){
	trigger_error( ERROR_SYNCUSER_TO_ID, ERROR ); 
}
if ($to_id== $from_id){
	trigger_error( ERROR_SYNCUSER_EQUAL, ERROR ); 
}
?>
<p>
<div align="center">
<form method="post" action="<?php echo $g_sync_start_page ?>" >
<table class="width100" cellspacing="1">
<?php
$t_mantis_bug_file_table				= $g_db_table_prefix.'_bug_file'.$g_db_table_suffix;
$t_mantis_bug_history_table				= $g_db_table_prefix.'_bug_history'.$g_db_table_suffix;
$t_mantis_bug_monitor_table				= $g_db_table_prefix.'_bug_monitor'.$g_db_table_suffix;
$t_mantis_bug_relationship_table		= $g_db_table_prefix.'_bug_relationship'.$g_db_table_suffix;
$t_mantis_bug_table						= $g_db_table_prefix.'_bug'.$g_db_table_suffix;
$t_mantis_bug_text_table				= $g_db_table_prefix.'_bug_text'.$g_db_table_suffix;
$t_mantis_bugnote_table					= $g_db_table_prefix.'_bugnote'.$g_db_table_suffix;
$t_mantis_bugnote_text_table			= $g_db_table_prefix.'_bugnote_text'.$g_db_table_suffix;

$t_mantis_news_table					= $g_db_table_prefix.'_news'.$g_db_table_suffix;

$t_mantis_project_category_table		= $g_db_table_prefix.'_project_category'.$g_db_table_suffix;
$t_mantis_project_file_table			= $g_db_table_prefix.'_project_file'.$g_db_table_suffix;
$t_mantis_project_table					= $g_db_table_prefix.'_project'.$g_db_table_suffix;
$t_mantis_project_user_list_table		= $g_db_table_prefix.'_project_user_list'.$g_db_table_suffix;
$t_mantis_project_version_table			= $g_db_table_prefix.'_project_version'.$g_db_table_suffix;

$t_mantis_user_table					= $g_db_table_prefix.'_user'.$g_db_table_suffix;

$t_mantis_custom_field_project_table	= $g_db_table_prefix.'_custom_field_project'.$g_db_table_suffix;
$t_mantis_custom_field_table      	    = $g_db_table_prefix.'_custom_field'.$g_db_table_suffix;
$t_mantis_custom_field_string_table     = $g_db_table_prefix.'_custom_field_string'.$g_db_table_suffix;
$t_mantis_filters_table					= $g_db_table_prefix.'_filters'.$g_db_table_suffix;
$t_mantis_sponsorship_table				= $g_db_table_prefix.'_sponsorship'.$g_db_table_suffix;
$t_mantis_project_hierarchy_table		= $g_db_table_prefix.'_project_hierarchy'.$g_db_table_suffix;

$t_mantis_faq_table						= $g_db_table_prefix.'_faq'.$g_db_table_suffix;
$t_mantis_timetrack_table				= $g_db_table_prefix.'_module_timetracking';


if ($f_faq){
	echo "<br>";
	echo "Converting faq_table" ;
	$result = db_query("update $t_mantis_faq_table set poster_id=$to_id where poster_id=$from_id");
}
/////////////////////////////////////
if ($f_timetrack){
	echo "<br>";
	echo "Converting module_timetracking" ;
	$result = db_query("update $t_mantis_timetrack_table set user=$to_id where user=$from_id");
} 
/////////////////////////////////////
if ($f_news ){
	echo "<br>";
	echo "Converting news_table" ;
	$result = db_query("update $t_mantis_news_table set poster_id=$to_id where poster_id=$from_id");
}
/////////////////////////////////////
echo "<br>";
echo "Converting project_category_table" ;
$result = db_query("update $t_mantis_project_category_table set user_id=$to_id where user_id=$from_id");
/////////////////////////////////////
echo "<br>";
echo "Convering project_user_list_table" ;
$result = db_query("update $t_mantis_project_user_list_table set user_id=$to_id where user_id=$from_id");
/////////////////////////////////////
echo "<br>";
echo "Converting sponsorship table" ;
$result = db_query("update $t_mantis_sponsorship_table set user_id=$to_id where user_id=$from_id");
/////////////////////////////////////
echo "<br>";
echo "Converting filters table" ;
$result = db_query("update $t_mantis_filters_table set user_id=$to_id where user_id=$from_id");
/////////////////////////////////////
echo "<br>";
echo "Converting bug_monitor_table" ;
$result = db_query("update $t_mantis_bug_monitor_table set user_id=$to_id where user_id=$from_id");
/////////////////////////////////////
echo "<br>";
echo "Converting bugnote_table" ;
$result = db_query("update $t_mantis_bugnote_table set reporter_id=$to_id where reporter_id=$from_id");
/////////////////////////////////////
echo "<br>";
echo "Converting bug_table" ;
$result = db_query("update $t_mantis_bug_table set reporter_id=$to_id where reporter_id=$from_id");
$result = db_query("update $t_mantis_bug_table set handler_id=$to_id where handler_id=$from_id");
/////////////////////////////////////
echo "<br>";
echo "Converting bug_history_table" ;
$result = db_query("update $t_mantis_bug_history_table set user_id=$to_id where user_id=$from_id");
?>
<tr>
	<td class="center" colspan="4">
		<input type="submit" value="User converted">
	</td>
</tr>
</table>
</form>
</div>

<?php
html_page_bottom1( __FILE__ );
?>